{ config, pkgs, lib, ... }:

{


  config = {

    programs = {
      firefox.enable = true;
    };

    services = {
      desktopManager.plasma6.enable = true;
      displayManager.sddm = {
        enable = true;
        wayland.enable = true;
      };
      pipewire = {
        alsa.enable = true;
        enable = true;
        pulse.enable = true;
      };
    };

    users.users.cirno = {
      description = "user for guests/cirno people";
      extraGroups = [  "audio"  ];
      home = "/home/cirno";
      initialHashedPassword = "$6$2f8vjQbdKyEBqPRT$FrZBZfzpJGqNqLlCyb7CzRNm0wuZwfRI7Qj/dUQlbtLixyJK5Im9AJT7GXmP5StfhZxSbH/wW8nDGPQm98NXV0";
      isNormalUser = true;
      shell = pkgs.zsh;
    };
  };
}
